List Properties
curl --request GET \
--url https://api.threadi.au/stopwatch/v1/timelogs/properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.threadi.au/stopwatch/v1/timelogs/properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.threadi.au/stopwatch/v1/timelogs/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"calculated": false,
"createdAt": "2025-06-26T00:54:50.551Z",
"description": "Unique record ID for StopWatch App ...",
"displayOrder": -1,
"externalOptions": false,
"fieldType": "text",
"formField": false,
"groupName": "time_log_information",
"hasUniqueValue": false,
"hidden": false,
"label": "StopWatch Record ID",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": false
},
"name": "a552213_record_id",
"options": [],
"type": "string",
"updatedAt": "2026-03-20T08:39:01.844Z"
}
]
}{
"error": "Invalid API key"
}{
"error": "API key has been deactivated"
}{
"error": "Daily quota exceeded",
"details": "This API key has reached its UTC daily request limit. Use response header x-stopwatch-ratelimit-reset to know when this quota will reset."
}{
"error": "Internal Server Error",
"details": "An unexpected error occurred."
}{
"error": "Service temporarily busy",
"details": "Unable to process request right now. Please retry shortly."
}API Reference
List Properties
Retrieves all properties for the StopWatch Time Log object type.
See HubSpot API documentation for a list of available Query Parameters
GET
/
stopwatch
/
v1
/
timelogs
/
properties
List Properties
Authorizations
Bearer Authorization header of the form Bearer {token}, where {token} is your API key. By default, each API key is rate-limited to 1,000 requests per day (UTC). If you need a higher daily limit, please submit a support request.
Response
A list of all StopWatch Time Log properties
Show child attributes
Show child attributes
⌘I

